Bug 737974 - Network Manager doesn't connect (3G)
Summary: Network Manager doesn't connect (3G)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: i686
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 14:29 UTC by Clauber
Modified: 2012-08-07 16:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:04:28 UTC


Attachments (Terms of Use)
/var/log/messages since 13/09/2011 (3.03 MB, application/x-gzip)
2011-09-15 12:37 UTC, Clauber
no flags Details
/var/log/messages with "grep Network" (132.66 KB, application/x-gzip)
2011-09-15 12:40 UTC, Clauber
no flags Details
Log modem-manager --debug (18.83 KB, text/plain)
2011-09-18 18:00 UTC, Clauber
no flags Details
Printscreen of NM Plasma plugin (161.80 KB, image/png)
2011-09-18 18:09 UTC, Clauber
no flags Details

Description Clauber 2011-09-13 14:29:29 UTC
Description of problem:

NetworkManager does not connect over the Internet automatically at boot.

Moreover, being necessary to physically disconnect and reconnect the modem so I have to manually connect through it.

It reconfigured the connection and set up options to automatically connect and connection system.

Sometimes, I have to use kppp to connect, because the NM takes too long to establish the connection.

Version-Release number of selected component (if applicable):
nm09-20110811

How reproducible:
Start the computer with the modem plugged.


Actual results:
I have to manually connect.

Expected results:
The connection is automatically established.

Additional info:
Modem. ZTE MF 626.
In the previous version worked correctly.

Comment 1 Clauber 2011-09-13 14:32:40 UTC
This only happens on 3G connection.

Comment 2 Jirka Klimes 2011-09-14 07:07:31 UTC
Are you using KDE's kde-plasma-networkmanagement, right?
First, try to upgrade as there's a newer version.

Also, please report NM version:
rpm -q NetworkManager
and attach /var/log/messages so that we can see logs.

Comment 3 Clauber 2011-09-15 12:30:01 UTC
(In reply to comment #2)
> Are you using KDE's kde-plasma-networkmanagement, right?
> First, try to upgrade as there's a newer version.
> 
> Also, please report NM version:
> rpm -q NetworkManager
> and attach /var/log/messages so that we can see logs.

NetworkManager-0.9.0-1.fc15.i686

My system is updated.
The attachments:

1 - log_messages.tar.gz /var/log/messages since 11 sep
2 - log_messages2.tar.gz /var/log/messages since august with "grep Network"

Need anything else?

Comment 4 Clauber 2011-09-15 12:37:57 UTC
Created attachment 523369 [details]
/var/log/messages since 13/09/2011

Comment 5 Clauber 2011-09-15 12:40:25 UTC
Created attachment 523371 [details]
/var/log/messages with "grep Network"

Comment 6 Clauber 2011-09-15 12:56:17 UTC
kde-plasma-networkmanagement

Version     : 0.9
Release     : 0.54.20110812git.nm09.fc15


V(In reply to comment #3)
> (In reply to comment #2)
> > Are you using KDE's kde-plasma-networkmanagement, right?
> > First, try to upgrade as there's a newer version.
> > 
> > Also, please report NM version:
> > rpm -q NetworkManager
> > and attach /var/log/messages so that we can see logs.
> 
> NetworkManager-0.9.0-1.fc15.i686
> 
> My system is updated.
> The attachments:
> 
> 1 - log_messages.tar.gz /var/log/messages since 11 sep
> 2 - log_messages2.tar.gz /var/log/messages since august with "grep Network"
> 
> Need anything else?

Comment 7 Jirka Klimes 2011-09-16 11:31:49 UTC
Thanks for the logs, there are some errors returned by Modem-Manager, but also auto-activation is interrupted several times by your manual activation (you were impatient;).

It would be useful to get more detailed logs. Would you please try this:
1) Disable NM temporarily:
# systemctl disable NetworkManager.service
2) reboot with modem plugged
3) Follow steps at http://live.gnome.org/NetworkManager/Debugging on section "Debugging NetworkManager 0.8 and 0.9 3G connections"
to run ModemManager and NetworkManager
(Copy the instructions before reboot, as you won't have network after step 1)
4) Wait will the connection is auto-activated
5) Grab the logs from terminal
6) Re-enable NM:
# systemctl enable NetworkManager.service

Not related to this bug:
Consider disabling intel_ips driver as it polutes messages with "ME failed to update for more than 1s, likely hung" and could down system performance. See e.g.  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/658317

Comment 8 Clauber 2011-09-18 17:59:08 UTC
Following is the log requested.

before:
The option to enable 3G network was checked automatically (see picture attached). Not now.
When i saw the login screen (X), the connection was activated. Now, I need to check the option to enable 3G network to connect it (and sometimes can'ot connect by NM).


I stopped because was very slow.
It was faster to stop and manually connect (or use Kppp) than wait it.


Thanks for the tip of the module intel_ips!

Thanks for help me!

Comment 9 Clauber 2011-09-18 18:00:45 UTC
Created attachment 523758 [details]
Log modem-manager --debug

Comment 10 Clauber 2011-09-18 18:09:26 UTC
Created attachment 523759 [details]
Printscreen of NM Plasma plugin

Comment 11 Fedora End Of Life 2012-08-07 16:04:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.